#include QMK_KEYBOARD_H

const uint16_t PROGMEM keymaps[][MATRIX_ROWS][MATRIX_COLS] = {

/* LAYER 0 */
[0] = LAYOUT( \
  BL_TOGG,  BL_STEP,  TO(1),     \
  KC_4,     KC_5,     KC_6,      \
  KC_1,     KC_2,     KC_3       \
),

/* LAYER 1 */
[1] = LAYOUT( \
  RGB_TOG,     RGB_MOD,     TO(2),      \
  RGB_SAI,     RGB_VAI,     RGB_HUI,    \
  RGB_SAD,     RGB_VAD,     RGB_HUD     \
),

/* LAYER 2 */
[2] = LAYOUT( \
  RGB_MODE_PLAIN,     RGB_MODE_BREATHE,  TO(0),            \
  RGB_MODE_RAINBOW,   RGB_MODE_SWIRL,    RGB_MODE_SNAKE,   \
  RGB_MODE_KNIGHT,    RGB_MODE_XMAS,     RGB_MODE_RGBTEST  \
)

};

qk_tap_dance_action_t tap_dance_actions[] = {
};

const macro_t *action_get_macro(keyrecord_t *record, uint8_t id, uint8_t opt) {
  return MACRO_NONE;
};

void matrix_init_user(void) {
}
